OpenapiGenerated
List cloud accounts in an organisation.
GET
organisationSlug*stringMatch
^[a-z0-9-_]+$display-name?stringOptional search parameter
cloud-provider-slug?stringOptional search parameter
Request was successfully processed. The response body contains the requested data.
application/json- response
totalPages?integerFormat
int32totalElements?integerFormat
int64size?integerFormat
int32content?array<>number?integerFormat
int32sort?pageable?numberOfElements?integerFormat
int32first?booleanlast?booleanempty?booleancurl -X GET 'https://api.avisi.cloud/api/v1/orgs/string/cloud-accounts'{ "totalPages": 0, "totalElements": 0, "size": 0, "content": [ { "identity": "10a80a7a-1a32-4a74-b592-aa2a4ef691c5", "displayName": "string", "metadata": { "property1": "string", "property2": "string" }, "cloudProfile": { "identity": "string", "displayName": "string", "metadata": { "property1": "string", "property2": "string" }, "cloudProvider": "string", "regions": [ "string" ], "enabled": true, "type": "aws", "cloudProviderResponse": { "id": 0, "name": "string", "slug": "string", "available": true, "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z", "logo": "string", "byon": true, "type": "aws", "privateClusterSetting": "UNAVAILABLE", "metadata": { "property1": "string", "property2": "string" }, "validateCloudCredentials": true }, "cloudProviderRegionResponses": [ { "id": 0, "provider": "string", "name": "string", "slug": "string", "available": true, "restricted": true, "addToNewTrialOrganizations": true, "createdAt": "2019-08-24T14:15:22Z", "modifiedAt": "2019-08-24T14:15:22Z" } ], "public": true }, "enabled": true, "primaryCloudCredentialsIdentity": "962b660f-35b8-4ef0-9e6d-6f86f64922e0" } ], "number": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "pageable": { "offset": 0, "paged": true, "pageNumber": 0, "pageSize": 0, "sort": { "empty": true, "sorted": true, "unsorted": true }, "unpaged": true }, "numberOfElements": 0, "first": true, "last": true, "empty": true}